Skip to main content
GET
/
staking_options
Retrieve staking options
curl --request GET \
  --url https://api.fuse.io/api/v0/staking/staking_options
[
  {
    "tokenAddress": "<string>",
    "tokenSymbol": "<string>",
    "tokenName": "<string>",
    "tokenLogoURI": "<string>",
    "unStakeTokenAddress": "<string>",
    "stakingProviderId": "<string>",
    "expired": true,
    "stakingApr": 123,
    "tvl": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

apiKey
string
required

Your API key to authenticate requests.

Response

A list of staking options.

tokenAddress
string
tokenSymbol
string
tokenName
string
tokenLogoURI
string
unStakeTokenAddress
string
stakingProviderId
string
expired
boolean
stakingApr
number
tvl
number